Bug 387971 - python-virtinst indirectly depends on gtk2
python-virtinst indirectly depends on gtk2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 448505
  Show dependency treegraph
 
Reported: 2007-11-16 20:34 EST by Szombathelyi György
Modified: 2008-05-27 06:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.300.2-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 00:09:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Szombathelyi György 2007-11-16 20:34:45 EST
Description of problem:

Installing xen with python-virtinst pulls gtk and X.org packages

Version-Release number of selected component (if applicable):
0.300.1-3.fc8

How reproducible:


Steps to Reproduce:
1. Just upgrade f7 to f8, python-virtinst will pull unnecessary X.org packages 
2.
3.
  
Actual results:


Expected results:


Additional info:
python-virtinst depends on virt-viewer, which is a gtk2 app, so installing it
will pull gtk2 and X.org packages. But it's only required if managing guests
through VNC. So vnc_console method in /usr/bin/virt-install should return an
error if virt-viewer not found and the package should not require it.
Comment 1 Jarkko 2008-01-29 03:05:15 EST
Actually this happens now when you run yum update/upgrade on F7. So F7 is also
affected.

python-virtinst-0.200.0-4.fc7 does not require virt-viewer, but
python-virtinst-0.300.2-1.fc7 does.

The suggestion above sounds like the right way to fix this. Please remove the
virt-viewer requirement and update the packages in rawhide, 8 and 7. Thank you. :)
Comment 2 Daniel Berrange 2008-01-31 12:23:17 EST
For F9 we've decide to make use of the 'comps.xml'  file to ensure virt-viewer
is in the default install set for anyone selecting Virtualization. This means we
don't need an explicit dependancy anymore.  I'll also remove the dep from F7/8 -
people will just have to install it manually for F7/8 if they want auto-console.
This should allow  non-X  based installs with python-virtinst
Comment 3 Fedora Update System 2008-02-01 20:18:10 EST
python-virtinst-0.300.2-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-virtinst'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1196
Comment 4 Jarkko 2008-02-02 20:10:15 EST
From the F7 updates-testing repository:

Updated: python-virtinst - 0.300.2-2.fc7.noarch

Now yum update/upgrade on F7 is ok again.
Comment 5 Fedora Update System 2008-02-13 00:09:31 EST
python-virtinst-0.300.2-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.